//+------------------------------------------------------------------+
//|                               Hidden StopLoss and TakeProfit.mq4 |
//|                              Copyright  2009, TradingSytemForex |
//|                                http://www.tradingsystemforex.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TradingSytemForex"
#property link "http://www.tradingsystemforex.com"

extern int StopLoss=50;
extern int TakeProfit=50;

//+------------------------------------------------------------------+

void start() 
{
   double SL,TP;
   int i,Total;
   int Dig=MarketInfo(Symbol(),MODE_DIGITS);     

//+------------------------------------------------------------------+

  if((StopLoss>0&&(OrderOpenPrice()-Ask)/Point>=StopLoss)||(TakeProfit>0&&(Bid-OrderOpenPrice())/Point>=TakeProfit))
  {
    PlaySound("alert.wav");CloseBuyOrders();
  }
  if((StopLoss>0&&(Bid-OrderOpenPrice())/Point>=StopLoss)||(TakeProfit>0&&(OrderOpenPrice()-Ask)/Point>=TakeProfit))
  {
    PlaySound("alert.wav");CloseSellOrders();
  }
}

//|---------close buy orders

int CloseBuyOrders()
{
  int result,total=OrdersTotal();

  for (int cnt=total-1;cnt>=0;cnt--)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if(OrderSymbol()==Symbol())
    {
      if(OrderType()==OP_BUY)
      {
        OrderClose(OrderTicket(),OrderLots(),Bid,3);
        switch(OrderType())
        {
          case OP_BUYLIMIT:
          case OP_BUYSTOP:
          result=OrderDelete(OrderTicket());
        }
      }
    }
  }
  return(0);
}

//|---------close sell orders

int CloseSellOrders()
{
  int result,total=OrdersTotal();

  for(int cnt=total-1;cnt>=0;cnt--)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if(OrderSymbol()==Symbol())
    {
      if(OrderType()==OP_SELL)
      {
        OrderClose(OrderTicket(),OrderLots(),Ask,3);
        switch(OrderType())
        {
          case OP_SELLLIMIT:
          case OP_SELLSTOP:
          result=OrderDelete(OrderTicket());
        }
      }
    }
  }
  return(0);
}

//+------------------------------------------------------------------+

