//+------------------------------------------------------------------+
//|                              StopLoss and TakeProfit Manager.mq4 |
//|                              Copyright  2009, TradingSytemForex |
//|                                http://www.tradingsystemforex.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, TradingSytemForex"
#property link "http://www.tradingsystemforex.com"

extern int StopLoss=50;
extern int TakeProfit=50;

//+------------------------------------------------------------------+

void start() 
{
   double SL,TP;
   int i,Total;
   int Dig=MarketInfo(Symbol(),MODE_DIGITS);     

//+------------------------------------------------------------------+

  Total=OrdersTotal();
  if(Total>0)
  {
     for(i=Total-1; i>=0; i--) 
     {
        if(OrderSelect(i, SELECT_BY_POS, MODE_TRADES)==true) 
        {
           if(OrderSymbol()==Symbol() && OrderType()==OP_SELL && OrderStopLoss()==0 && OrderTakeProfit()==0) 
           {
              if(StopLoss>0)SL=OrderOpenPrice()+StopLoss*Point;else SL=0;
              if(TakeProfit>0)TP=OrderOpenPrice()-TakeProfit*Point;else TP=0;
              OrderModify(OrderTicket(),OrderOpenPrice(),NormalizeDouble(SL,Dig),NormalizeDouble(TP,Dig),OrderExpiration(),CLR_NONE);
           }
           if(OrderSymbol()==Symbol() && OrderType()==OP_BUY && OrderStopLoss()==0 && OrderTakeProfit()==0) 
           {
              if(StopLoss>0)SL=OrderOpenPrice()-StopLoss*Point;else SL=0;
              if(TakeProfit>0)TP=OrderOpenPrice()+TakeProfit*Point;else TP=0;
              OrderModify(OrderTicket(),OrderOpenPrice(),NormalizeDouble(SL,Dig),NormalizeDouble(TP,Dig),OrderExpiration(),CLR_NONE);
           }
        }
     }
  }
}

//+------------------------------------------------------------------+

